Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC::Metadata::Application Class Reference
[FLAC++/metadata.h: metadata object classes]

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::Application:

List of all members.

## Public Methods
| Application ()
| Application (::FLAC__StreamMetadata *object, bool copy)
| ~Application ()
Application & | assign (::FLAC__StreamMetadata *object, bool copy)
const FLAC__byte * | get_id () const
const FLAC__byte * | get_data () const
void | set_id (const FLAC__byte value[4])
bool | set_data (const FLAC__byte *data, unsigned length)
| This form always copies data.
bool | set_data (FLAC__byte *data, unsigned length, bool copy)
| Application (const Application &object)
| Application (const::FLAC__StreamMetadata &object)
| Application (const::FLAC__StreamMetadata *object)
Application & | operator= (const Application &object)
Application & | operator= (const::FLAC__StreamMetadata &object)
Application & | operator= (const::FLAC__StreamMetadata *object)
bool | operator== (const Application &object) const
bool | operator== (const::FLAC__StreamMetadata &object) const
bool | operator== (const::FLAC__StreamMetadata *object) const
bool | operator!= (const Application &object) const
bool | operator!= (const::FLAC__StreamMetadata &object) const
bool | operator!= (const::FLAC__StreamMetadata *object) const

## Detailed Description

APPLICATION metadata block. See format specification.

## Constructor & Destructor Documentation

FLAC::Metadata::Application::Application | ( | const Application & | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::Application::Application | ( | const ::FLAC__StreamMetadata & | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::Application::Application | ( | const ::FLAC__StreamMetadata * | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::Application::Application | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) | `[inline]`

| Constructs an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

## Member Function Documentation

Application& FLAC::Metadata::Application::operator= | ( | const Application & | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy.

Application& FLAC::Metadata::Application::operator= | ( | const ::FLAC__StreamMetadata & | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy. Reimplemented from FLAC::Metadata::Prototype.

Application& FLAC::Metadata::Application::operator= | ( | const ::FLAC__StreamMetadata * | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy. Reimplemented from FLAC::Metadata::Prototype.

Application& FLAC::Metadata::Application::assign | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) | `[inline]`

| Assigns an object with copy control. See Prototype::assign_object(::FLAC__StreamMetadata *object, bool copy).

bool FLAC::Metadata::Application::operator== | ( | const Application & | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers.

bool FLAC::Metadata::Application::operator== | ( | const ::FLAC__StreamMetadata & | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::Application::operator== | ( | const ::FLAC__StreamMetadata * | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::Application::operator!= | ( | const Application & | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers.

bool FLAC::Metadata::Application::operator!= | ( | const ::FLAC__StreamMetadata & | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::Application::operator!= | ( | const ::FLAC__StreamMetadata * | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h